$primary-color: #05164d;
$primary-box-shadow: 0 0 0.6em $primary-color;
$primary-transition: all 0.3s ease-in-out;
$primary-btn-background-color: #ffad00;
$primary-btn-border-color: #ffad00;
$primary-btn-color: #05164d;
$primary-background-color: #f5f5f5;
$label-size: 0.7em;
$placeholder-color: darken(
	$color: $primary-background-color,
	$amount: 40%,
);

$third-percent: 33.333333%;

.overflow-y-hidden {
	overflow-y: hidden;
}

.hidden {
	display: none !important;
}

.input-label {
	font-size: $label-size;
	color: $placeholder-color;
}

.container {
	position: relative;
	width: 100%;
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.invalid {
	border-color: #c00 !important;
}

.error-message {
	width: fit-content;
	background-color: #c00;
	color: white;
}

.btn {
	outline: none;
	background: none;
	align-items: center;
	border: 0.2rem solid #0000;
	border-radius: 4px;
	cursor: pointer;
	font-size: 1.1em;
	font-weight: 700;
	transition: $primary-transition;
	display: flex;
	justify-content: center;
	align-items: center;
	height: fit-content;

	&:disabled {
		cursor: not-allowed;
	}

	&.reset-btn i {
		font-size: 0.5em;
		text-align: center;
		color: white;
	}

	&.btn-primary {
		border-color: $primary-btn-border-color;
		background-color: $primary-btn-background-color;
		padding: 10px 20px;

		&:disabled {
			background-color: #ebebeb;
			border-color: #ebebeb;
			color: #ccc;
		}
	}

	&.btn-secondary {
		border-bottom: 2px solid $primary-btn-color;
		position: relative;
		height: 2em;
		font-size: clamp(0.3em, 1em, 1.2em);
		font-weight: normal;
		transition: none;
		width: 100%;
		justify-content: space-between;

		& > * {
			text-align: left;
			text-overflow: ellipsis;
			overflow: hidden;
			white-space: nowrap;
		}

		&:focus {
			box-shadow: $primary-box-shadow;
		}

		.input-label {
			position: absolute;
			top: -$label-size - 1em;
			left: 0;
		}
	}

	&.link-btn {
		margin: 0;
		padding: 0;
		color: $primary-btn-color;
		font-size: 0.8em;
	}

	&.swap-button {
		align-self: center;
		transition: none;

		&:focus {
			box-shadow: $primary-box-shadow;
		}
	}

	&.reset-btn {
		transition: none;
		box-shadow: none;
		align-self: center;
		margin: 0 0.3em;
		height: 0.8em;
		width: 0.8em;
		padding: 1px;
		border-radius: 50%;
		background-color: $primary-color;
	}
}
